Index: files/patch-Makefile.in
===================================================================
--- files/patch-Makefile.in	(revision 68907)
+++ files/patch-Makefile.in	(working copy)
@@ -1,19 +0,0 @@
---- Makefile.in.orig	2009-08-11 10:03:06.000000000 -0700
-+++ Makefile.in	2009-08-11 10:03:52.000000000 -0700
-@@ -52,6 +52,7 @@
- DAGLIBS = @DAGLIBS@
- DEPLIBS = @DEPLIBS@
- DYEXT = @DYEXT@
-+LDFLAGS = @LDFLAGS@
- PROG=libpcap
- 
- # Standard CFLAGS
-@@ -339,7 +340,7 @@
- #
- libpcap.dylib: $(OBJ)
- 	rm -f libpcap*.dylib
--	$(CC) -dynamiclib -undefined error -o libpcap.`cat $(srcdir)/VERSION`.dylib $(OBJ) \
-+	$(CC) $(LDFLAGS) -dynamiclib -undefined error -o libpcap.`cat $(srcdir)/VERSION`.dylib $(OBJ) \
- 		-install_name $(libdir)/libpcap.A.dylib \
- 		-compatibility_version 1 \
- 		-current_version `sed 's/[^0-9.].*$$//' $(srcdir)/VERSION`
Index: files/patch-scanner.l.diff
===================================================================
--- files/patch-scanner.l.diff	(revision 68907)
+++ files/patch-scanner.l.diff	(working copy)
@@ -1,7 +1,7 @@
---- scanner.l	2008-02-15 16:45:22.000000000 +0100
-+++ scanner.l	2008-02-15 16:46:11.000000000 +0100
-@@ -81,13 +81,6 @@
- B		([0-9A-Fa-f][0-9A-Fa-f]?)
+--- scanner.l.orig	2010-03-11 19:56:54.000000000 -0600
++++ scanner.l	2010-06-18 01:57:44.000000000 -0500
+@@ -96,13 +96,6 @@
+ B2		([0-9A-Fa-f][0-9A-Fa-f][0-9A-Fa-f][0-9A-Fa-f])
  W		([0-9A-Fa-f][0-9A-Fa-f]?[0-9A-Fa-f]?[0-9A-Fa-f]?)
  
 -%a 18400
Index: files/patch-pcap-bpf.c.diff
===================================================================
--- files/patch-pcap-bpf.c.diff	(revision 68907)
+++ files/patch-pcap-bpf.c.diff	(working copy)
@@ -1,11 +0,0 @@
---- pcap-bpf.c.orig	2008-10-10 19:42:44.000000000 -0700
-+++ pcap-bpf.c	2010-01-18 11:11:27.000000000 -0800
-@@ -1860,7 +1860,7 @@
- 		 * (Treating it as such doesn't fix the timeout
- 		 * problem described below.)
- 		 */
--		struct timeval to;
-+		struct BPF_TIMEVAL to;
- 		to.tv_sec = p->md.timeout / 1000;
- 		to.tv_usec = (p->md.timeout * 1000) % 1000000;
- 		if (ioctl(p->fd, BIOCSRTIMEOUT, (caddr_t)&to) < 0) {
Index: Portfile
===================================================================
--- Portfile	(revision 68907)
+++ Portfile	(working copy)
@@ -3,10 +3,10 @@
 PortSystem 1.0
 
 name                libpcap
-version             1.0.0
-revision            1
+version             1.1.1
 categories          net
-maintainers         darkart.com:opendarwin.org
+maintainers         ricci
+license             BSD
 description         Packet Capture library
 long_description    The Packet Capture library provides a high level \
                     interface to packet capture systems.  All packets \
@@ -14,26 +14,37 @@
                     are accessible through this mechanism.
 homepage            http://www.tcpdump.org/
 platforms           darwin
-master_sites        ${homepage}release/ \
-                    macports
-checksums           md5     9ad1358c5dec48456405eac197a46d3d \
-                    sha1    9893654027ae11033d785045ff35583da43fe8fa \
-                    rmd160  20857fe6af5dc70fffb19da46e0fee908f55b3ea
+master_sites        ${homepage}release/
 
+checksums           md5     1bca27d206970badae248cfa471bbb47 \
+                    sha1    18581af5e78a40b7b2c9a6cd8ce40e7cb1cd9c63 \
+                    rmd160  760159c594cc995c9e05c0cd8637a02a3b2725e2
+
 configure.args      --enable-ipv6
 
-patchfiles          patch-scanner.l.diff    \
-                    patch-Makefile.in       \
-                    patch-pcap-bpf.c.diff
+patchfiles          patch-scanner.l.diff
 
 use_parallel_build  yes
 build.target-append shared
 
 destroot.target-append  install-shared
 
-platform darwin 8 {
-    patchfiles-delete patch-pcap-bpf.c.diff
+post-destroot {
+    set docdir ${destroot}${prefix}/share/doc/${name}
+    xinstall -d ${docdir}
+    xinstall -m 644 -W ${worksrcpath} \
+        CHANGES \
+        CREDITS \
+        LICENSE \
+        README \
+        README.macosx \
+        TODO \
+        ${docdir}
 }
 
+livecheck.type      regex
+livecheck.url       [lindex ${master_sites} 0]
+livecheck.regex     ${name}-(\[0-9.\]+)\\.tar
+
 # -*- coding: utf-8; mode: tcl; tab-width: 4; indent-tabs-mode: nil; c-basic-offset: 4 -*-
 # vi: set fenc=utf-8 filetype=tcl et sw=4 ts=4 sts=4: #