--- Portfile.orig	2010-06-18 09:56:33.000000000 -0700
+++ Portfile	2010-06-18 10:14:56.000000000 -0700
@@ -3,11 +3,11 @@
 PortSystem                  1.0
 
 name                        sane-backends
-version                     1.0.20
-revision                    3
+version                     1.0.21
+revision                    0
 categories                  graphics
 platforms                   darwin
-maintainers                 nomaintainer
+maintainers                 gmail.com:aguynamedryan+sane
 homepage                    http://www.sane-project.org/
 
 description                 Backends for scanner access
@@ -19,9 +19,9 @@
 master_sites                ftp://ftp.sane-project.org/pub/sane/${distname}/ \
                             ftp://ftp.sane-project.org/pub/sane/old-versions/${distname}/
 
-checksums                   md5     a0cfdfdebca2feb4f2ba5d3418b15a42 \
-                            sha1    3b4d2ecde8be404bb44269771cf5dc6e4c10b086 \
-                            rmd160  b80c0a15a75b3bce07060d65aecdcaf7860c323b
+checksums                   md5     be586a23633949cf2ecf0c9c6d769130 \
+                            sha1    4a2789ea9dae1ece090d016abd14b0f2450d9bdb \
+                            rmd160  000ae42ffd6484c54389a9468bdde1dcfc758dde
 
 depends_lib                 port:jpeg \
                             port:libusb-compat \
@@ -39,12 +39,18 @@
                             --enable-libusb \
                             --without-gphoto2
 
-use_parallel_build          no
+set BACKEND_LIST            ""
+
+use_parallel_build          yes
 
 pre-destroot {
     xinstall -d -o root -g admin -m 775 ${destroot}${prefix}/var/lock
 }
 
+pre-configure {
+    configure.env-append BACKENDS="${BACKEND_LIST}"
+}
+
 destroot.keepdirs ${destroot}${prefix}/var/lock
 
 variant disable_localbackends conflicts enable_pnmbackend with_gphoto2 description "turn off compilation of all backends but net" {
@@ -65,6 +71,306 @@
     configure.args-append   --with-gphoto2
 }
 
+variant abaton description "builds abaton backend" {
+    set BACKEND_LIST [concat ${BACKEND_LIST} " abaton"]
+}
+
+variant agfafocus description "builds agfafocus backend" {
+    set BACKEND_LIST [concat ${BACKEND_LIST} " agfafocus"]
+}
+
+variant apple description "builds apple backend" {
+    set BACKEND_LIST [concat ${BACKEND_LIST} " apple"]
+}
+
+variant artec description "builds artec backend" {
+    set BACKEND_LIST [concat ${BACKEND_LIST} " artec"]
+}
+
+variant artec_eplus48u description "builds artec_eplus48u backend" {
+    set BACKEND_LIST [concat ${BACKEND_LIST} " artec_eplus48u"]
+}
+
+variant as6e description "builds as6e backend" {
+    set BACKEND_LIST [concat ${BACKEND_LIST} " as6e"]
+}
+
+variant avision description "builds avision backend" {
+    set BACKEND_LIST [concat ${BACKEND_LIST} " avision"]
+}
+
+variant bh description "builds bh backend" {
+    set BACKEND_LIST [concat ${BACKEND_LIST} " bh"]
+}
+
+variant canon description "builds canon backend" {
+    set BACKEND_LIST [concat ${BACKEND_LIST} " canon"]
+}
+
+variant canon630u description "builds canon630u backend" {
+    set BACKEND_LIST [concat ${BACKEND_LIST} " canon630u"]
+}
+
+variant canon_dr description "builds canon_dr backend" {
+    set BACKEND_LIST [concat ${BACKEND_LIST} " canon_dr"]
+}
+
+variant cardscan description "builds cardscan backend" {
+    set BACKEND_LIST [concat ${BACKEND_LIST} " cardscan"]
+}
+
+variant coolscan description "builds coolscan backend" {
+    set BACKEND_LIST [concat ${BACKEND_LIST} " coolscan"]
+}
+
+variant coolscan2 description "builds coolscan2 backend" {
+    set BACKEND_LIST [concat ${BACKEND_LIST} " coolscan2"]
+}
+
+variant coolscan3 description "builds coolscan3 backend" {
+    set BACKEND_LIST [concat ${BACKEND_LIST} " coolscan3"]
+}
+
+variant dc25 description "builds dc25 backend" {
+    set BACKEND_LIST [concat ${BACKEND_LIST} " dc25"]
+}
+
+variant dc210 description "builds dc210 backend" {
+    set BACKEND_LIST [concat ${BACKEND_LIST} " dc210"]
+}
+
+variant dc240 description "builds dc240 backend" {
+    set BACKEND_LIST [concat ${BACKEND_LIST} " dc240"]
+}
+
+variant dell1600n_net description "builds dell1600n_net backend" {
+    set BACKEND_LIST [concat ${BACKEND_LIST} " dell1600n_net"]
+}
+
+variant dmc description "builds dmc backend" {
+    set BACKEND_LIST [concat ${BACKEND_LIST} " dmc"]
+}
+
+variant epjitsu description "builds epjitsu backend" {
+    set BACKEND_LIST [concat ${BACKEND_LIST} " epjitsu"]
+}
+
+variant epson description "builds epson backend" {
+    set BACKEND_LIST [concat ${BACKEND_LIST} " epson"]
+}
+
+variant epson2 description "builds epson2 backend" {
+    set BACKEND_LIST [concat ${BACKEND_LIST} " epson2"]
+}
+
+variant fujitsu description "builds fujitsu backend" {
+    set BACKEND_LIST [concat ${BACKEND_LIST} " fujitsu"]
+}
+
+variant genesys description "builds genesys backend" {
+    set BACKEND_LIST [concat ${BACKEND_LIST} " genesys"]
+}
+
+variant gt68xx description "builds gt68xx backend" {
+    set BACKEND_LIST [concat ${BACKEND_LIST} " gt68xx"]
+}
+
+variant hp description "builds hp backend" {
+    set BACKEND_LIST [concat ${BACKEND_LIST} " hp"]
+}
+
+variant hp3500 description "builds hp3500 backend" {
+    set BACKEND_LIST [concat ${BACKEND_LIST} " hp3500"]
+}
+
+variant hp3900 description "builds hp3900 backend" {
+    set BACKEND_LIST [concat ${BACKEND_LIST} " hp3900"]
+}
+
+variant hp4200 description "builds hp4200 backend" {
+    set BACKEND_LIST [concat ${BACKEND_LIST} " hp4200"]
+}
+
+variant hp5400 description "builds hp5400 backend" {
+    set BACKEND_LIST [concat ${BACKEND_LIST} " hp5400"]
+}
+
+variant hp5590 description "builds hp5590 backend" {
+    set BACKEND_LIST [concat ${BACKEND_LIST} " hp5590"]
+}
+
+variant hpljm1005 description "builds hpljm1005 backend" {
+    set BACKEND_LIST [concat ${BACKEND_LIST} " hpljm1005"]
+}
+
+variant hs2p description "builds hs2p backend" {
+    set BACKEND_LIST [concat ${BACKEND_LIST} " hs2p"]
+}
+
+variant ibm description "builds ibm backend" {
+    set BACKEND_LIST [concat ${BACKEND_LIST} " ibm"]
+}
+
+variant kodak description "builds kodak backend" {
+    set BACKEND_LIST [concat ${BACKEND_LIST} " kodak"]
+}
+
+variant kvs1025 description "builds kvs1025 backend" {
+    set BACKEND_LIST [concat ${BACKEND_LIST} " kvs1025"]
+}
+
+variant leo description "builds leo backend" {
+    set BACKEND_LIST [concat ${BACKEND_LIST} " leo"]
+}
+
+variant lexmark description "builds lexmark backend" {
+    set BACKEND_LIST [concat ${BACKEND_LIST} " lexmark"]
+}
+
+variant ma1509 description "builds ma1509 backend" {
+    set BACKEND_LIST [concat ${BACKEND_LIST} " ma1509"]
+}
+
+variant matsushita description "builds matsushita backend" {
+    set BACKEND_LIST [concat ${BACKEND_LIST} " matsushita"]
+}
+
+variant microtek description "builds microtek backend" {
+    set BACKEND_LIST [concat ${BACKEND_LIST} " microtek"]
+}
+
+variant microtek2 description "builds microtek2 backend" {
+    set BACKEND_LIST [concat ${BACKEND_LIST} " microtek2"]
+}
+
+variant mustek description "builds mustek backend" {
+    set BACKEND_LIST [concat ${BACKEND_LIST} " mustek"]
+}
+
+variant mustek_usb description "builds mustek_usb backend" {
+    set BACKEND_LIST [concat ${BACKEND_LIST} " mustek_usb"]
+}
+
+variant mustek_usb2 description "builds mustek_usb2 backend" {
+    set BACKEND_LIST [concat ${BACKEND_LIST} " mustek_usb2"]
+}
+
+variant nec description "builds nec backend" {
+    set BACKEND_LIST [concat ${BACKEND_LIST} " nec"]
+}
+
+variant net description "builds net backend" {
+    set BACKEND_LIST [concat ${BACKEND_LIST} " net"]
+}
+
+variant niash description "builds niash backend" {
+    set BACKEND_LIST [concat ${BACKEND_LIST} " niash"]
+}
+
+variant pie description "builds pie backend" {
+    set BACKEND_LIST [concat ${BACKEND_LIST} " pie"]
+}
+
+variant pixma description "builds pixma backend" {
+    set BACKEND_LIST [concat ${BACKEND_LIST} " pixma"]
+}
+
+variant plustek description "builds plustek backend" {
+    set BACKEND_LIST [concat ${BACKEND_LIST} " plustek"]
+}
+
+variant plustek_pp description "builds plustek_pp backend" {
+    set BACKEND_LIST [concat ${BACKEND_LIST} " plustek_pp"]
+}
+
+variant ricoh description "builds ricoh backend" {
+    set BACKEND_LIST [concat ${BACKEND_LIST} " ricoh"]
+}
+
+variant rts8891 description "builds rts8891 backend" {
+    set BACKEND_LIST [concat ${BACKEND_LIST} " rts8891"]
+}
+
+variant s9036 description "builds s9036 backend" {
+    set BACKEND_LIST [concat ${BACKEND_LIST} " s9036"]
+}
+
+variant sceptre description "builds sceptre backend" {
+    set BACKEND_LIST [concat ${BACKEND_LIST} " sceptre"]
+}
+
+variant sharp description "builds sharp backend" {
+    set BACKEND_LIST [concat ${BACKEND_LIST} " sharp"]
+}
+
+variant sm3600 description "builds sm3600 backend" {
+    set BACKEND_LIST [concat ${BACKEND_LIST} " sm3600"]
+}
+
+variant sm3840 description "builds sm3840 backend" {
+    set BACKEND_LIST [concat ${BACKEND_LIST} " sm3840"]
+}
+
+variant snapscan description "builds snapscan backend" {
+    set BACKEND_LIST [concat ${BACKEND_LIST} " snapscan"]
+}
+
+variant sp15c description "builds sp15c backend" {
+    set BACKEND_LIST [concat ${BACKEND_LIST} " sp15c"]
+}
+
+variant st400 description "builds st400 backend" {
+    set BACKEND_LIST [concat ${BACKEND_LIST} " st400"]
+}
+
+variant stv680 description "builds stv680 backend" {
+    set BACKEND_LIST [concat ${BACKEND_LIST} " stv680"]
+}
+
+variant tamarack description "builds tamarack backend" {
+    set BACKEND_LIST [concat ${BACKEND_LIST} " tamarack"]
+}
+
+variant teco1 description "builds teco1 backend" {
+    set BACKEND_LIST [concat ${BACKEND_LIST} " teco1"]
+}
+
+variant teco2 description "builds teco2 backend" {
+    set BACKEND_LIST [concat ${BACKEND_LIST} " teco2"]
+}
+
+variant teco3 description "builds teco3 backend" {
+    set BACKEND_LIST [concat ${BACKEND_LIST} " teco3"]
+}
+
+variant test description "builds test backend" {
+    set BACKEND_LIST [concat ${BACKEND_LIST} " test"]
+}
+
+variant u12 description "builds u12 backend" {
+    set BACKEND_LIST [concat ${BACKEND_LIST} " u12"]
+}
+
+variant umax description "builds umax backend" {
+    set BACKEND_LIST [concat ${BACKEND_LIST} " umax"]
+}
+
+variant umax_pp description "builds umax_pp backend" {
+    set BACKEND_LIST [concat ${BACKEND_LIST} " umax_pp"]
+}
+
+variant umax1220u description "builds umax1220u backend" {
+    set BACKEND_LIST [concat ${BACKEND_LIST} " umax1220u"]
+}
+
+variant xerox_mfp description "builds xerox_mfp backend" {
+    set BACKEND_LIST [concat ${BACKEND_LIST} " xerox_mfp"]
+}
+
+variant p5 description "builds p5 backend" {
+    set BACKEND_LIST [concat ${BACKEND_LIST} " p5"]
+}
+
 livecheck.type              regex
 livecheck.url               ftp://ftp.sane-project.org/pub/sane/
 livecheck.regex             "${name}-(\\d+(?:\\.\\d+)*)"