--- _resources/port1.0/group/python24-1.0.tcl.bak	2010-09-24 16:40:07.000000000 +0200
+++ _resources/port1.0/group/python24-1.0.tcl	2010-09-24 16:43:54.000000000 +0200
@@ -46,6 +46,7 @@
 depends_lib		port:python24
 
 use_configure	no
+supported_archs         i386 ppc
 
 build.cmd		${python.bin} setup.py
 build.target	build
--- sysports/lang/python24/Portfile	2010-08-04 17:30:44.000000000 +0200
+++ lang/python24/Portfile	2010-09-24 16:38:53.000000000 +0200
@@ -5,7 +5,7 @@
 
 name                    python24
 version                 2.4.6
-revision                7
+revision                8
 set major               [lindex [split $version .] 0]
 set branch              [join [lrange [split ${version} .] 0 1] .]
 categories              lang
@@ -43,7 +43,11 @@
 
 depends_lib             port:gettext port:openssl
 
-configure.args          --with-cxx=${configure.cxx} \
+supported_archs         i386 ppc
+configure.universal_archs i386 ppc
+
+configure.args          --with-gcc="${configure.cc} ${configure.cc_archflags}" \
+                        --with-cxx="${configure.cxx} ${configure.cxx_archflags}" \
                         --enable-shared \
                         --enable-framework=${frameworks_dir} \
                         --mandir=${prefix}/share/man \
@@ -82,64 +86,44 @@
 select.file             ${filespath}/python[string map {. {}} ${branch}]
 
 platform macosx {
-    if {(![variant_isset universal] && ![string match *64* $build_arch]) || ([variant_isset universal] && ![string match *64* $universal_archs])} {
-        post-destroot {
-            set framewpath ${frameworks_dir}/Python.framework
-            set framewdir  ${framewpath}/Versions/${branch}
-    
-            foreach dir { lib include } {
-                file rename ${destroot}${framewdir}/${dir}/python${branch} ${destroot}${prefix}/${dir}
-                ln -s ${prefix}/${dir}/python${branch} ${destroot}${framewdir}/${dir}/python${branch}
-            }
-            # Since the lib/python${branch} dir was just moved above and
-            # libpython2.4.a in lib/python${branch}/config is relative, we need
-            # to repoint it here
-            file delete ${destroot}${prefix}/lib/python${branch}/config/libpython${branch}.a
-            ln -s ${framewdir}/Python ${destroot}${prefix}/lib/python${branch}/config/libpython${branch}.a
-    
-            ln -s ${framewdir}/Python ${destroot}${prefix}/lib/libpython${branch}.dylib
-    
-            file rename ${destroot}${prefix}/share/man/man1/python.1 ${destroot}${prefix}/share/man/man1/python${branch}.1
-    
-            # delete symlinks without version suffix, use python_select instead to choose version
-            foreach bin { python pythonw idle pydoc smtpd.py } {
-                file delete ${destroot}${prefix}/bin/${bin}
-            }
-            foreach bin [list python${branch} pythonw${branch} idle${branch} pydoc${branch} smtpd${branch}.py] {
-                file rename -force ${destroot}${framewdir}/bin/${bin} ${destroot}${prefix}/bin
-                ln -s ${prefix}/bin/${bin} ${destroot}${framewdir}/bin/${bin}
-            }
-    
-            foreach dir { Headers Resources Python Versions/Current } {
-                file delete ${destroot}${framewpath}/${dir}
-            }
-    
-            # Without this, LINKFORSHARED is set to
-            # ... $(PYTHONFRAMEWORKDIR)/Versions/$(VERSION)/$(PYTHONFRAMEWORK)
-            # (this becomes Python.framework/Versions/2.4/Python) which doesn't
-            # quite work (see ticket #15099); instead specifically list the
-            # full path to the proper Python framework file (which becomes
-            # ${prefix}/Library/Frameworks/Python.framework/Versions/2.4/Python)
-            reinplace {s|^\(LINKFORSHARED=.*\)$(PYTHONFRAMEWORKDIR).*$|\1 $(PYTHONFRAMEWORKINSTALLDIR)/Versions/$(VERSION)/$(PYTHONFRAMEWORK)|} ${destroot}${prefix}/lib/python${branch}/config/Makefile
+    post-destroot {
+        set framewpath ${frameworks_dir}/Python.framework
+        set framewdir  ${framewpath}/Versions/${branch}
+    
+        foreach dir { lib include } {
+            file rename ${destroot}${framewdir}/${dir}/python${branch} ${destroot}${prefix}/${dir}
+            ln -s ${prefix}/${dir}/python${branch} ${destroot}${framewdir}/${dir}/python${branch}
+        }
+        # Since the lib/python${branch} dir was just moved above and
+        # libpython2.4.a in lib/python${branch}/config is relative, we need
+        # to repoint it here
+        file delete ${destroot}${prefix}/lib/python${branch}/config/libpython${branch}.a
+        ln -s ${framewdir}/Python ${destroot}${prefix}/lib/python${branch}/config/libpython${branch}.a
+    
+        ln -s ${framewdir}/Python ${destroot}${prefix}/lib/libpython${branch}.dylib
+    
+        file rename ${destroot}${prefix}/share/man/man1/python.1 ${destroot}${prefix}/share/man/man1/python${branch}.1
+    
+        # delete symlinks without version suffix, use python_select instead to choose version
+        foreach bin { python pythonw idle pydoc smtpd.py } {
+            file delete ${destroot}${prefix}/bin/${bin}
         }
-    } else {
-        # 64-bit, can't build mac-specific stuff
-        configure.args-delete --enable-framework=${frameworks_dir}
-        configure.args-append --disable-toolbox-glue
-        destroot.target       install maninstall
-
-        post-destroot {
-            # delete symlinks without version suffix, use python_select instead to choose version
-            foreach bin { python pythonw idle pydoc smtpd.py python-config } {
-                file delete ${destroot}${prefix}/bin/${bin}
-            }
-    
-            file rename ${destroot}${prefix}/share/man/man1/python.1 ${destroot}${prefix}/share/man/man1/python${branch}.1
-    
-            # install select file for python_select
-            xinstall -m 755 -d ${destroot}${prefix}/etc/select/python
-            xinstall -m 644 ${filespath}/python[string map {. {}} ${branch}] ${destroot}${prefix}/etc/select/python/
+        foreach bin [list python${branch} pythonw${branch} idle${branch} pydoc${branch} smtpd${branch}.py] {
+            file rename -force ${destroot}${framewdir}/bin/${bin} ${destroot}${prefix}/bin
+            ln -s ${prefix}/bin/${bin} ${destroot}${framewdir}/bin/${bin}
         }
+    
+        foreach dir { Headers Resources Python Versions/Current } {
+            file delete ${destroot}${framewpath}/${dir}
+        }
+    
+        # Without this, LINKFORSHARED is set to
+        # ... $(PYTHONFRAMEWORKDIR)/Versions/$(VERSION)/$(PYTHONFRAMEWORK)
+        # (this becomes Python.framework/Versions/2.4/Python) which doesn't
+        # quite work (see ticket #15099); instead specifically list the
+        # full path to the proper Python framework file (which becomes
+        # ${prefix}/Library/Frameworks/Python.framework/Versions/2.4/Python)
+        reinplace {s|^\(LINKFORSHARED=.*\)$(PYTHONFRAMEWORKDIR).*$|\1 $(PYTHONFRAMEWORKINSTALLDIR)/Versions/$(VERSION)/$(PYTHONFRAMEWORK)|} ${destroot}${prefix}/lib/python${branch}/config/Makefile
     }
 }
 
@@ -190,6 +174,13 @@
 }
 
 variant universal {
+   configure.args-delete \
+      --with-gcc="${configure.cc} ${configure.cc_archflags}" \
+      --with-cxx="${configure.cxx} ${configure.cxx_archflags}"
+   configure.args-append \
+      --with-gcc="${configure.cc}" \
+      --with-cxx="${configure.cxx}"
+
    if {${configure.sdkroot} != ""} {
       configure.args-append   --enable-universalsdk=${configure.sdkroot}
    } else {