--- python/py-libdnet/Portfile	2010-07-11 05:17:19.000000000 -0500
+++ python/py-libdnet/Portfile	2010-07-11 05:12:37.000000000 -0500
@@ -5,7 +5,7 @@
 set python.bin	${prefix}/bin/python2.4
 
 name                    py-libdnet
-version                 1.11
+version                 1.12
 categories              python net
 maintainers             consault.com:chris.owen
 platforms		darwin
@@ -18,17 +18,20 @@
         firewalling (IP filter, ipfw, ipchains, pf, ...), network interface \
         lookup and manipulation, raw IP packet and Ethernet frame transmission.
 
-homepage                http://libdnet.sourceforge.net
-master_sites            sourceforge:libdnet
+homepage                http://code.google.com/p/libdnet/
+master_sites            googlecode
+extract.suffix          .tgz
 distname                libdnet-${version}
 dist_subdir             libdnet
 
-depends_lib		port:python24 port:libdnet
+checksums               md5     9253ef6de1b5e28e9c9a62b882e44cc9 \
+                        sha1    71302be302e84fc19b559e811951b5d600d976f8 \
+                        rmd160  4b849f07c3513522fda65af067928b7e6d504aab
 
-checksums		md5 04c394ed8e1e7fc455456e79e908916d \
-			sha1 e2ae8c7f0ca95655ae9f77fd4a0e2235dc4716bf \
-			rmd160 9a940cdd96af4b513a048f3a389e3f7eb0bb7011
+depends_lib		port:python24 port:libdnet
 
+# libdnet is not universal
+universal_variant       no
 
 pre-destroot {
 	worksrcdir	${worksrcdir}/python
--- python/py25-libdnet/Portfile	2010-07-11 05:19:54.000000000 -0500
+++ python/py25-libdnet/Portfile	2010-07-11 05:12:50.000000000 -0500
@@ -6,7 +6,7 @@
 set python.bin	${prefix}/bin/python2.5
 
 name                    py25-libdnet
-version                 1.11
+version                 1.12
 categories              python net
 maintainers             nzbox.com:msavory
 platforms		darwin
@@ -19,17 +19,20 @@
         firewalling (IP filter, ipfw, ipchains, pf, ...), network interface \
         lookup and manipulation, raw IP packet and Ethernet frame transmission.
 
-homepage                http://libdnet.sourceforge.net
-master_sites            sourceforge:libdnet
+homepage                http://code.google.com/p/libdnet/
+master_sites            googlecode
+extract.suffix          .tgz
 distname                libdnet-${version}
 dist_subdir             libdnet
 
-depends_lib		port:python25 port:libdnet
+checksums               md5     9253ef6de1b5e28e9c9a62b882e44cc9 \
+                        sha1    71302be302e84fc19b559e811951b5d600d976f8 \
+                        rmd160  4b849f07c3513522fda65af067928b7e6d504aab
 
-checksums		md5 04c394ed8e1e7fc455456e79e908916d \
-			sha1 e2ae8c7f0ca95655ae9f77fd4a0e2235dc4716bf \
-			rmd160 9a940cdd96af4b513a048f3a389e3f7eb0bb7011
+depends_lib		port:python25 port:libdnet
 
+# libdnet is not universal
+universal_variant       no
 
 pre-destroot {
 	worksrcdir	${worksrcdir}/python
--- python/py26-libdnet/Portfile	2010-07-11 05:19:54.000000000 -0500
+++ python/py26-libdnet/Portfile	2010-07-11 05:12:47.000000000 -0500
@@ -7,8 +7,7 @@
 set python.prefix  ${frameworks_dir}/Python.framework/Versions/2.6
 
 name                    py26-libdnet
-version                 1.11
-revision                1
+version                 1.12
 categories              python net
 maintainers             nzbox.com:msavory
 platforms		darwin
@@ -21,17 +20,20 @@
         firewalling (IP filter, ipfw, ipchains, pf, ...), network interface \
         lookup and manipulation, raw IP packet and Ethernet frame transmission.
 
-homepage                http://libdnet.sourceforge.net
-master_sites            sourceforge:libdnet
+homepage                http://code.google.com/p/libdnet/
+master_sites            googlecode
+extract.suffix          .tgz
 distname                libdnet-${version}
 dist_subdir             libdnet
 
-depends_lib		port:python26 port:libdnet
+checksums               md5     9253ef6de1b5e28e9c9a62b882e44cc9 \
+                        sha1    71302be302e84fc19b559e811951b5d600d976f8 \
+                        rmd160  4b849f07c3513522fda65af067928b7e6d504aab
 
-checksums		md5 04c394ed8e1e7fc455456e79e908916d \
-			sha1 e2ae8c7f0ca95655ae9f77fd4a0e2235dc4716bf \
-			rmd160 9a940cdd96af4b513a048f3a389e3f7eb0bb7011
+depends_lib		port:python26 port:libdnet
 
+# libdnet is not universal
+universal_variant       no
 
 pre-destroot {
 	worksrcdir	${worksrcdir}/python