diff -Nurd ports/gnome/gourmet/Portfile ports-patched/gnome/gourmet/Portfile
--- ports/gnome/gourmet/Portfile	1970-01-01 01:00:00.000000000 +0100
+++ ports-patched/gnome/gourmet/Portfile	2010-07-15 18:43:02.000000000 +0100
@@ -0,0 +1,29 @@
+# -*- coding: utf-8; mode: tcl; tab-width: 4; indent-tabs-mode: nil; c-basic-offset: 4 -*- vim:fenc=utf-8:ft=tcl:et:sw=4:ts=4:sts=4
+# $Id$
+PortSystem          1.0
+PortGroup           python26 1.0
+
+name                gourmet
+version             0.15.5
+categories-append   gnome recipe
+maintainers         nomaintainer
+description         A simple but powerful recipe-managing application. 
+long_description    Gourmet allows you to collect, search and organize your recipes, and to automatically generate shopping lists from your collection. The latest version also allows you to calculate nutritional information for your recipes using the USDA food database (or entering custom information by hand).
+
+homepage            http://grecipe-manager.sourceforge.net/
+platforms           darwin
+master_sites        sourceforge:grecipe-manager
+checksums           md5     a0e251e1797605afbb3d5ede0258ddba \
+                    sha1    19a26089d86f0f76c1140cda0f838b23b2d1217e \
+                    rmd160  30ceccc21f840218045be1773dd8d71504401248
+
+depends_lib-append  port:py26-gnome \
+                    port:gnome-python26-extras \
+                    port:libglade2 \
+                    port:py26-pil \
+                    port:py26-sqlalchemy \
+                    port:py26-reportlab \
+                    port:py26-poppler
+
+python.link_binaries_suffix
+
diff -Nurd ports/python/py-poppler/Portfile ports-patched/python/py-poppler/Portfile
--- ports/python/py-poppler/Portfile	1970-01-01 01:00:00.000000000 +0100
+++ ports-patched/python/py-poppler/Portfile	2010-07-15 18:39:30.000000000 +0100
@@ -0,0 +1,31 @@
+# -*- coding: utf-8; mode: tcl; tab-width: 4; indent-tabs-mode: nil; c-basic-offset: 4 -*- vim:fenc=utf-8:ft=tcl:et:sw=4:ts=4:sts=4
+# $Id$
+PortSystem          1.0
+
+name                py-poppler
+version             0.12.1
+categories-append   pdf
+platforms           darwin
+maintainers         nomaintainer
+description         Python bindings for the Poppler PDF rendering library (glib). 
+long_description    ${description}
+
+homepage            https://launchpad.net/poppler-python
+master_sites        ${homepage}/trunk/development/+download/
+distname            pypoppler-${version}
+checksums           md5     1a89e5ed3042afc81bbd4d02e0cf640a \
+                    sha1    a8a92039911a7c4bbd995a46f88a1877bf88ab5c \
+                    rmd160  d6c196d6bbbaa9ef96c2ea3a38eb6a89308bab15
+
+depends_lib-append  port:poppler \
+                    port:py-gtk2
+
+# Need to add python pkg-config files
+set python_prefix                   ${frameworks_dir}/Python.framework/Versions/2.4
+configure.pkg_config_path-append    ${python_prefix}/lib/pkgconfig
+
+# Want to install into the python framework, not /opt/local
+prefix              ${python_prefix}
+
+patchfiles          patch-poppler.override.diff
+
diff -Nurd ports/python/py-poppler/files/patch-poppler.override.diff ports-patched/python/py-poppler/files/patch-poppler.override.diff
--- ports/python/py-poppler/files/patch-poppler.override.diff	1970-01-01 01:00:00.000000000 +0100
+++ ports-patched/python/py-poppler/files/patch-poppler.override.diff	2010-07-15 17:14:01.000000000 +0100
@@ -0,0 +1,13 @@
+--- poppler.override	2010-07-15 17:05:32.000000000 +0100
++++ poppler.override	2010-07-15 17:07:06.000000000 +0100
+@@ -19,8 +19,10 @@
+ %%
+ headers
+ #include <Python.h>
++#define NO_IMPORT_PYGOBJECT
+ #include "pygobject.h"
+ #include <glib/poppler.h>
++#define NO_IMPORT_PYGTK
+ #include <pygtk/pygtk.h>
+ #include <pycairo.h>
+ #include <gdk/gdkregion.h>
diff -Nurd ports/python/py25-poppler/Portfile ports-patched/python/py25-poppler/Portfile
--- ports/python/py25-poppler/Portfile	1970-01-01 01:00:00.000000000 +0100
+++ ports-patched/python/py25-poppler/Portfile	2010-07-15 18:39:06.000000000 +0100
@@ -0,0 +1,31 @@
+# -*- coding: utf-8; mode: tcl; tab-width: 4; indent-tabs-mode: nil; c-basic-offset: 4 -*- vim:fenc=utf-8:ft=tcl:et:sw=4:ts=4:sts=4
+# $Id$
+PortSystem          1.0
+
+name                py25-poppler
+version             0.12.1
+categories-append   pdf
+platforms           darwin
+maintainers         nomaintainer
+description         Python bindings for the Poppler PDF rendering library (glib). 
+long_description    ${description}
+
+homepage            https://launchpad.net/poppler-python
+master_sites        ${homepage}/trunk/development/+download/
+distname            pypoppler-${version}
+checksums           md5     1a89e5ed3042afc81bbd4d02e0cf640a \
+                    sha1    a8a92039911a7c4bbd995a46f88a1877bf88ab5c \
+                    rmd160  d6c196d6bbbaa9ef96c2ea3a38eb6a89308bab15
+
+depends_lib-append  port:poppler \
+                    port:py25-gtk
+
+# Need to add python pkg-config files
+set python_prefix                   ${frameworks_dir}/Python.framework/Versions/2.5
+configure.pkg_config_path-append    ${python_prefix}/lib/pkgconfig
+
+# Want to install into the python framework, not /opt/local
+prefix              ${python_prefix}
+
+patchfiles          patch-poppler.override.diff
+
diff -Nurd ports/python/py25-poppler/files/patch-poppler.override.diff ports-patched/python/py25-poppler/files/patch-poppler.override.diff
--- ports/python/py25-poppler/files/patch-poppler.override.diff	1970-01-01 01:00:00.000000000 +0100
+++ ports-patched/python/py25-poppler/files/patch-poppler.override.diff	2010-07-15 17:14:01.000000000 +0100
@@ -0,0 +1,13 @@
+--- poppler.override	2010-07-15 17:05:32.000000000 +0100
++++ poppler.override	2010-07-15 17:07:06.000000000 +0100
+@@ -19,8 +19,10 @@
+ %%
+ headers
+ #include <Python.h>
++#define NO_IMPORT_PYGOBJECT
+ #include "pygobject.h"
+ #include <glib/poppler.h>
++#define NO_IMPORT_PYGTK
+ #include <pygtk/pygtk.h>
+ #include <pycairo.h>
+ #include <gdk/gdkregion.h>
diff -Nurd ports/python/py26-poppler/Portfile ports-patched/python/py26-poppler/Portfile
--- ports/python/py26-poppler/Portfile	1970-01-01 01:00:00.000000000 +0100
+++ ports-patched/python/py26-poppler/Portfile	2010-07-15 18:30:14.000000000 +0100
@@ -0,0 +1,31 @@
+# -*- coding: utf-8; mode: tcl; tab-width: 4; indent-tabs-mode: nil; c-basic-offset: 4 -*- vim:fenc=utf-8:ft=tcl:et:sw=4:ts=4:sts=4
+# $Id$
+PortSystem          1.0
+
+name                py26-poppler
+version             0.12.1
+categories-append   pdf
+platforms           darwin
+maintainers         nomaintainer
+description         Python bindings for the Poppler PDF rendering library (glib). 
+long_description    ${description}
+
+homepage            https://launchpad.net/poppler-python
+master_sites        ${homepage}/trunk/development/+download/
+distname            pypoppler-${version}
+checksums           md5     1a89e5ed3042afc81bbd4d02e0cf640a \
+                    sha1    a8a92039911a7c4bbd995a46f88a1877bf88ab5c \
+                    rmd160  d6c196d6bbbaa9ef96c2ea3a38eb6a89308bab15
+
+depends_lib-append  port:poppler \
+                    port:py26-gtk
+
+# Need to add python pkg-config files
+set python_prefix                   ${frameworks_dir}/Python.framework/Versions/2.6
+configure.pkg_config_path-append    ${python_prefix}/lib/pkgconfig
+
+# Want to install into the python framework, not /opt/local
+prefix              ${python_prefix}
+
+patchfiles          patch-poppler.override.diff
+
diff -Nurd ports/python/py26-poppler/files/patch-poppler.override.diff ports-patched/python/py26-poppler/files/patch-poppler.override.diff
--- ports/python/py26-poppler/files/patch-poppler.override.diff	1970-01-01 01:00:00.000000000 +0100
+++ ports-patched/python/py26-poppler/files/patch-poppler.override.diff	2010-07-15 17:14:01.000000000 +0100
@@ -0,0 +1,13 @@
+--- poppler.override	2010-07-15 17:05:32.000000000 +0100
++++ poppler.override	2010-07-15 17:07:06.000000000 +0100
+@@ -19,8 +19,10 @@
+ %%
+ headers
+ #include <Python.h>
++#define NO_IMPORT_PYGOBJECT
+ #include "pygobject.h"
+ #include <glib/poppler.h>
++#define NO_IMPORT_PYGTK
+ #include <pygtk/pygtk.h>
+ #include <pycairo.h>
+ #include <gdk/gdkregion.h>