diff -Nur python/py-subvertpy/Portfile .../python/py-subvertpy/Portfile
--- python/py-subvertpy/Portfile	1970-01-01 01:00:00.000000000 +0100
+++ .../python/py-subvertpy/Portfile	2010-07-21 13:35:27.000000000 +0200
@@ -0,0 +1,33 @@
+# $Id: Portfile 67900 2010-05-21 09:19:45Z ryandesign@macports.org $
+
+PortSystem        1.0
+PortGroup         python24 1.0
+
+name              py-subvertpy
+version           0.7.3
+categories        python devel
+maintainers       danchr@gmail.com openmaintainer
+platforms         darwin
+description       Alternative Python bindings for Subversion (svn)
+long_description  Alternative Python bindings for Subversion, split out \
+  from bzr-svn. The goal is to have complete, portable and "Pythonic" \
+  Python bindings.
+
+homepage          https://launchpad.net/subvertpy/
+master_sites      ${homepage}trunk/${version}/+download \
+                  http://samba.org/~jelmer/subvertpy
+distname          subvertpy-${version}
+
+checksums         md5     2fba8b634774d384e326a3818a1a51a4 \
+                  sha1    e9d8b207cfffeafe3317d0739a0bfd0ef7f2aa53 \
+                  rmd160  475c5006e0c9f1355f011031b512a5b8a1d13f67
+
+depends_lib-append  port:subversion
+
+build.env-append  SVN_PREFIX=${prefix}
+
+destroot.env-append  SVN_PREFIX=${prefix}
+
+livecheck.type    regex
+livecheck.url     ${homepage}/+download
+livecheck.regex   {subvertpy-(\d+(?:\.\d+)*).tar.gz}
diff -Nur python/py25-subvertpy/Portfile .../python/py25-subvertpy/Portfile
--- python/py25-subvertpy/Portfile	2010-05-21 11:30:46.000000000 +0200
+++ .../python/py25-subvertpy/Portfile	2010-07-21 13:34:05.000000000 +0200
@@ -4,9 +4,9 @@
 PortGroup         python25 1.0
 
 name              py25-subvertpy
-version           0.6.8
+version           0.7.3
 categories        python devel
-maintainers       nomaintainer
+maintainers       danchr@gmail.com openmaintainer
 platforms         darwin
 description       Alternative Python bindings for Subversion (svn)
 long_description  Alternative Python bindings for Subversion, split out \
@@ -14,12 +14,13 @@
   Python bindings.
 
 homepage          https://launchpad.net/subvertpy/
-master_sites      ${homepage}trunk/${version}/+download
+master_sites      ${homepage}trunk/${version}/+download \
+                  http://samba.org/~jelmer/subvertpy
 distname          subvertpy-${version}
 
-checksums         md5     7075b971301fa8efa5fae4021fa9b087 \
-                  sha1    f867df7b54ae32a13d18a7de4c0ccad3ebe6c171 \
-                  rmd160  ce5c41b678aed28d73ddddb74ea6b845ffc490ef
+checksums         md5     2fba8b634774d384e326a3818a1a51a4 \
+                  sha1    e9d8b207cfffeafe3317d0739a0bfd0ef7f2aa53 \
+                  rmd160  475c5006e0c9f1355f011031b512a5b8a1d13f67
 
 depends_lib-append  port:subversion
 
@@ -27,6 +28,12 @@
 
 destroot.env-append  SVN_PREFIX=${prefix}
 
+post-destroot {
+        foreach f [glob -directory ${destroot}${prefix}/bin *] {
+                file rename ${f} ${f}-${python.branch}
+        }
+}
+
 livecheck.type    regex
 livecheck.url     ${homepage}/+download
 livecheck.regex   {subvertpy-(\d+(?:\.\d+)*).tar.gz}
diff -Nur python/py26-subvertpy/Portfile .../python/py26-subvertpy/Portfile
--- python/py26-subvertpy/Portfile	2010-05-21 11:30:46.000000000 +0200
+++ .../python/py26-subvertpy/Portfile	2010-07-21 13:35:23.000000000 +0200
@@ -4,9 +4,9 @@
 PortGroup         python26 1.0
 
 name              py26-subvertpy
-version           0.7.2
+version           0.7.3
 categories        python devel
-maintainers       nomaintainer
+maintainers       danchr@gmail.com openmaintainer
 platforms         darwin
 description       Alternative Python bindings for Subversion (svn)
 long_description  Alternative Python bindings for Subversion, split out \
@@ -14,12 +14,13 @@
   Python bindings.
 
 homepage          https://launchpad.net/subvertpy/
-master_sites      ${homepage}trunk/${version}/+download
+master_sites      ${homepage}trunk/${version}/+download \
+                  http://samba.org/~jelmer/subvertpy
 distname          subvertpy-${version}
 
-checksums         md5     01e2098db04ddddaf06a7e27c075745d \
-                  sha1    f8eb472084d771eb1ae7a67517ecd1061d548759 \
-                  rmd160  b57be7948eb87bed7861c23ed3da5bf8c070eb73
+checksums         md5     2fba8b634774d384e326a3818a1a51a4 \
+                  sha1    e9d8b207cfffeafe3317d0739a0bfd0ef7f2aa53 \
+                  rmd160  475c5006e0c9f1355f011031b512a5b8a1d13f67
 
 depends_lib-append  port:subversion
 
diff -Nur python/py27-subvertpy/Portfile .../python/py27-subvertpy/Portfile
--- python/py27-subvertpy/Portfile	1970-01-01 01:00:00.000000000 +0100
+++ .../python/py27-subvertpy/Portfile	2010-07-21 13:35:19.000000000 +0200
@@ -0,0 +1,33 @@
+# $Id: Portfile 67900 2010-05-21 09:19:45Z ryandesign@macports.org $
+
+PortSystem        1.0
+PortGroup         python27 1.0
+
+name              py27-subvertpy
+version           0.7.3
+categories        python devel
+maintainers       danchr@gmail.com openmaintainer
+platforms         darwin
+description       Alternative Python bindings for Subversion (svn)
+long_description  Alternative Python bindings for Subversion, split out \
+  from bzr-svn. The goal is to have complete, portable and "Pythonic" \
+  Python bindings.
+
+homepage          https://launchpad.net/subvertpy/
+master_sites      ${homepage}trunk/${version}/+download \
+                  http://samba.org/~jelmer/subvertpy
+distname          subvertpy-${version}
+
+checksums         md5     2fba8b634774d384e326a3818a1a51a4 \
+                  sha1    e9d8b207cfffeafe3317d0739a0bfd0ef7f2aa53 \
+                  rmd160  475c5006e0c9f1355f011031b512a5b8a1d13f67
+
+depends_lib-append  port:subversion
+
+build.env-append  SVN_PREFIX=${prefix}
+
+destroot.env-append  SVN_PREFIX=${prefix}
+
+livecheck.type    regex
+livecheck.url     ${homepage}/+download
+livecheck.regex   {subvertpy-(\d+(?:\.\d+)*).tar.gz}